class HomeBannerModel {
  List<HomeBannerListItemModel> list;

  HomeBannerModel({this.list});

  factory HomeBannerModel.fromJson(Map<String, dynamic> json) {
    return HomeBannerModel(
      list: json['list'] != null ? (json['list'] as List).map((i) => HomeBannerListItemModel.fromJson(i)).toList() : null,
    );
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.list != null) {
      data['list'] = this.list.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class HomeBannerListItemModel {
  String img;
  String skip_identifier;

  HomeBannerListItemModel({this.img, this.skip_identifier});

  factory HomeBannerListItemModel.fromJson(Map<String, dynamic> json) {
    return HomeBannerListItemModel(
      img: json['img']?.toString(),
      skip_identifier: json['skip_identifier']?.toString(),
    );
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['img'] = this.img;
    data['skip_identifier'] = this.skip_identifier;
    return data;
  }
}
